Subject: bug#30642: LibreOffice crashes with 'org.gtk.Settings.FileChooser' is not installed error

From: Raphaël Mélotte <[email-masked]>
Date: Wed, 13 Jun 2018 13:41:51 +0200

I'm not particularly experienced  with package recipes but I have a
question on this one:

Why couldn't "glib-or-gtk-build-system"[1] be used here ?

I had the same crash problem with a package I defined and use locally, and
using that build system solved it (the documentation mentions the phase
"glib-or-gtk-compile-schemas" which should take care of it).

(I tried to do this on my own, but I've never been able to build
libreoffice locally yet: it always fails at the end for some reason.)

[1]:
https://www.gnu.org/software/guix/manual/guix.html#index-glib_002dor_002dgtk_002dbuild_002dsystem